petsc-3.7.1 2016-05-15
Report Typos and Errors

# PFApply

Applies the mathematical function to an array of values.

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFApply(PF pf,PetscInt n,const PetscScalar *x,PetscScalar *y)

Collective on PF Many br

### Input Parameters

| pf | - the function context Many br
| n | - number of pointwise function evaluations to perform, each pointwise function evaluation Many bris a function of dimin variables and computes dimout variables where dimin and dimout are defined Many brin the call to PFCreate() Many br
| x | - input array Many br

### Output Parameter

y -output array Many br

Many br

### Notes

### Keywords

PF, apply

### See Also

PFApplyVec(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

Level:beginner
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages